//
//  AppController.h
//  CrawlSpace
//
//  Created by David Finucane on 11/17/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "PreferenceController.h"

@interface AppController : NSObject
{
  PreferenceController*preferenceController;
  IBOutlet NSMenuItem*crawlerOptionsItem;
  IBOutlet NSMenuItem*friendRequestItem;
  IBOutlet NSMenuItem*newCrawlerItem;
  int crawlCount;
}

- (void) newCrawlerWithId:(int)anId;
- (IBAction) showPreferencesPanel:(id) sender;
- (IBAction) newCrawler:(id) sender;
- (void) setCrawlerOptionsTarget:(id)target action:(SEL)action;
- (void) setFriendRequestTarget:(id)target action:(SEL)action;
- (void) setNewCrawlerTarget:(id)target action:(SEL)action;

@end
