//
//  FriendFinder.h
//  CrawlSpace
//
//  Created by David Finucane on 11/9/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "Sifter.h"
#import "Finder.h"

@interface FriendFinder : Finder
{
  int myId;
  int numPages;
  int currentPage;
}

- (id) initWithId: (int) anId delegate:(id)aDelegate;
- (int) siftForNumPages:(Sifter*)sifter;
- (BOOL) siftForFriends:(Sifter*)sifter;
- (void) find;

@end

@interface NSObject (FriendFinderDelegate)
- (void) friendFinderDone:(FriendFinder*)friendFinder withError:(NSError*)error;

@end