//
//  ImageView.h
//  CrawlSpace
//
//  Created by David Finucane on 11/16/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface ImageView : NSImageView
{
  int myId;
}

- (unsigned) draggingSourceOperationMaskForLocal:(BOOL) isLocal;
- (void) mouseDragged:(NSEvent*)event;
- (void) mouseDown:(NSEvent*)event;
- (NSArray*) namesOfPromisedFilesDroppedAtDestination:(NSURL*) dropDestination;
- (void) setImage:(NSImage*)image withId:(int)anId;
@end
