//
//  Browse.h
//  CrawlSpace
//
//  Created by finucane on 11/28/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "Finder.h"

@interface Browse : Finder
{
  int numPages;
  int currentPage;
  NSMutableString*baseFormat;
}
  
- (id) initWithDelegate:(id)aDelegate;
- (void) browseSex:(int)sex minAge:(int) minAge maxAge:(int) maxAge postCodeType:(NSString*) postCodeType postCode:(NSString*)postCode;
- (void) connection:(NSURLConnection*) aConnection didFailWithError:(NSError*) error;

@end

@interface NSObject (BrowseDelegate)
-(void) browseDone:(Browse*)browse withError:(NSError*)error;
@end
