//
//  Search.h
//  CrawlSpace
//
//  Created by David Finucane on 11/28/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "Finder.h"

@interface Search : Finder
{
  int numPages;
}

- (id) initWithDelegate:(id)aDelegate;
- (void) search:(NSString*)searchString;
- (void) connection:(NSURLConnection*) aConnection didFailWithError:(NSError*) error;

@end

@interface NSObject (SearchDelegate)
- (void) searchDone:(Search*)search withError:(NSError*)error;
@end